void Removeep(char *ifile1, char *ifile2, int twofiles, FILE *f10)
{
        FILE *f1, *f3;
        FSM fsm1, fsm3;

        /* To remove epsilon transitions from a state machine */

        if(!twofiles)
        {
                ifile1 = "../data/epsilon.data";
                ifile2 = "../data/epsilon.results";
        }
        f1 = fopen(ifile1, "r");
        f3 = fopen(ifile2, "w");
        
        fsm_read(f1, &fsm1);
        fsm_remove_epsilon(&fsm1, &fsm3);
        fsm_print(f3, &fsm3);
                                        
        fclose(f1);
        fclose(f3);
        fsm_delete(&fsm1);
        fsm_delete(&fsm3);


        fprintf(f10, "Fsm with Epsilon transition as input file:\n\t");
        fprintf(f10, "%s \n", ifile1);
        fprintf(f10, "Epsilon transitions removed output file:\n\t");
        fprintf(f10, "%s\n\n\n", ifile2);
        
        /*end c*/
}
